import { Net } from "@newSdk/service/nets/Net";
import { AxiosRequestConfig, AxiosResponse } from "axios";
import { ResponseItems } from "@newSdk/model/types";
export declare const handle401: (netInfo: Net) => void;
interface IAxiosResponse extends AxiosResponse {
    code: number;
}
export declare function imAxios<T = any>(params: AxiosRequestConfig): Promise<T>;
export declare function sdkAxios<T = any>(params: AxiosRequestConfig): Promise<T>;
export declare function momentAxios(params: AxiosRequestConfig): Promise<IAxiosResponse>;
export declare function miniAppAxios(params: AxiosRequestConfig): Promise<IAxiosResponse>;
export declare function tmmPaymentAxios<T>(params: AxiosRequestConfig): Promise<AxiosResponse<ResponseItems<T>>>;
export {};
